Sign up ×
Server Fault is a question and answer site for system and network administrators. It's 100% free, no registration required.

I have 5 wordpress sites. I use hostgator shared hosting for all of them. Now I have decided to switch on to a VPS.

I got a unmanaged VPS and configuring it for wordpress. I am following this tutorial as suggested by a member from webhostingtalk :

I am configuring the LAMP stack now. steps are from this page :

In step 3 , while installing apache it comes to point where I have to select the php modules. I don't know what modules to select. my requirement is 5-6 websites on wordpress.

Kindly tell me which modules to install for wordpess? Thanks in advance.

EDIT: I googled and found out this thread :

The 4th answer with 2 votes have this list :

php-apc (not required, but recommended)

Is it good enough?

share|improve this question

1 Answer 1

The standard PHP configuration is enough. I'm doing ok (Debian) with php5-common, php5-mysql, php5-cli... This is documented on the Internet but I would try installing just php5 and php5-mysql.

share|improve this answer
php5-cgi or php5-common? – user58859 Nov 4 '13 at 10:12
I have no php5-cgi and wordpress works ok (my mileage) since aeons. – uprego Nov 4 '13 at 10:13
I insist that this is heavily documented on the Internet. However am too lazy at this moment to find you a link. – uprego Nov 4 '13 at 10:16
I edited the question and added the link. Kindly check is it good enough. – user58859 Nov 4 '13 at 10:17
If you are using virtual machines (and maybe even not using) though not a completely safe and industrial standards clean and compliant approach, sometimes installing just what the system is asking for is a practical GTD policy. – uprego Nov 4 '13 at 10:23

Your Answer


By posting your answer, you agree to the privacy policy and terms of service.

Not the answer you're looking for? Browse other questions tagged or ask your own question.